[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#199280: marked as done (gkrellongrun: FTBFS: Cannot find gkrellm binary)

Your message dated Thu, 27 Jul 2006 05:58:00 +0200
with message-id <87lkqf66nr.fsf@debian.org>
and subject line Bug#199280: fixed in gkrellongrun 0.6.1-2.2
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: gkrellongrun
Version: 0.6.1-2.1
Severity: serious

>From my build log:

checking for pkg-config... /usr/bin/pkg-config
checking for gtk+-2.0 >= 2.0.0... yes
checking GTK_CFLAGS... -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
checking GTK_LIBS... -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
checking for gkrellm... no
configure: error: Cannot find GKrellM: Is gkrellm in path?
make: *** [configure-stamp] Error 1

Also, I noticed the call to configure sets "DISPLAY=:0.0", which is
severely broken.  If it really needs an X display, you should
Build-Depend on xvfb and xbase-clients and use xvfb-run.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux frobnitz 2.4.21-pre5 #1 Sat Mar 1 09:01:10 PST 2003 i686

Daniel Schepler              "Please don't disillusion me.  I
schepler@math.berkeley.edu    haven't had breakfast yet."
                                 -- Orson Scott Card

--- End Message ---
--- Begin Message ---
Source: gkrellongrun
Source-Version: 0.6.1-2.2

This bug was fixed in the following non-maintainer upload:

> gkrellongrun (0.6.1-2.2) unstable; urgency=low
>   * NMU by Gunnar Wolf <gwolf@debian.org>
>   * Changed build dependency back from gkrellm-common to gkrellm (build
>     process requires the presence of the gkrellm binary) (Closes:
>     #199280)
>  -- Gunnar Wolf <gwolf@debian.org>  Fri, 22 Aug 2003 17:37:31 -0500

--- End Message ---

Reply to: